+ Start a Discussion
SimplySfdcSimplySfdc 

Add Key Metrics to Evaluate Your Business

Help needed...
https://trailhead.salesforce.com/trails/wave_analytics_enable_and_produce/modules/wave_dashboard_designer_basics/units/wave_add_key_metrics_evaluate_business

Error happened when click "Check Challenge" button
There was an unhandled exception. Please reference ID: MGXHGBCZ. Error: Faraday::ClientError. Message: 550: Value [[insights.api.model.dashboard.FilterModel@76848be5, insights.api.model.dashboard.FilterModel@53082ca5, insights.api.model.dashboard.FilterModel@7b4243ed, insights.api.model.dashboard.FilterModel@5b2c9f3c, insights.api.model.dashboard.FilterModel@925ec1f, insights.api.model.dashboard.FilterModel@1b5a949a, insights.api.model.dashboard.FilterModel@726ef137]] for field [filters] can't be downgraded to API version 39.0.

same error for https://trailhead.salesforce.com/trails/wave_analytics_enable_and_produce/modules/wave_dashboard_designer_basics/units/wave_add_selectors_allow_filters
SandhyaSandhya (Salesforce Developers) 
Hi,
 Verify the following:
a) There's only one dashboard called "Sales Performance."
b) The dashboard is saved in "My Private App."
c) The step label for this new widget is "Lost Opp Amount."
d) The widget title is "Lost Opportunities."

4) Save your dashboard before you click "Check Challenge." The challenge validates the last saved version of your dashboard. 

Please mark it as solved if my reply was helpful. It will make it available for other as the proper solution.
 
Best Regards
Sandhya

 
SimplySfdcSimplySfdc
Hi Sandhya,

1. I have another Sales Performance in another app "My First Analytics App", so I just rename that dashboard to Sales Performance Test
2. You put a dot after the name/label such as "Sales Performance.", instead of "Sales Performance", is the dot necessary?
3. I still get the same error with difference Reference ID

There was an unhandled exception. Please reference ID: WAWYLRWS. Error: Faraday::ClientError. Message: 550: Value [[insights.api.model.dashboard.FilterModel@cb7464f, insights.api.model.dashboard.FilterModel@2c2cca5a, insights.api.model.dashboard.FilterModel@db9edef, insights.api.model.dashboard.FilterModel@35706d3b, insights.api.model.dashboard.FilterModel@343d0e4, insights.api.model.dashboard.FilterModel@4977a4cc, insights.api.model.dashboard.FilterModel@be3fe98]] for field [filters] can't be downgraded to API version 39.0.